ambari-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Henning Kropp <hkr...@microlution.de>
Subject Re: Registered version unavailable
Date Wed, 13 Apr 2016 12:44:14 GMT
Had the same experience. The upgrade path from 2.3.4 to 2.4 is also not 
available so you have to go over 2.3.4.7 At least that it how it 
appeared to me.

The trick with altering the DB worked for me, in the end I was just not 
able to tricker the upgrade.

Regards

Am 12/04/16 um 16:49 schrieb hd2@uni.de:
> Another info: I just installed the "new" version 2.3.4.7  which worked
> flawlessly. So it looks like the bug is 2.4.0.0 specific.
>
>
> 2016-04-12 13:11 GMT+02:00  <hd2@uni.de>:
>> Hey,
>>
>> can anyone recommend how to proceed with this issue?
>>
>> -Seb
>>
>> 2016-04-04 20:19 GMT+02:00  <hd2@uni.de>:
>>> Most definitely a bug:
>>> https://community.hortonworks.com/questions/17201/registered-version-hdp-2340-is-not-listed.html#answer-25787
>>>
>>> Am 01.04.2016 4:54 nachm. schrieb <hd2@uni.de>:
>>>> Hi, the output looks like this (checking for 2.2):
>>>>
>>>> {
>>>>    "href" :
>>>> "http://<host>:8080/api/v1/stacks/HDP/versions/2.2/compatible_repository_versions?fields=*,repo_id,repo_name,stack_version",
>>>>    "items" : [
>>>>      {
>>>>        "href" :
>>>> "http://<host>:8080/api/v1/stacks/HDP/versions/2.2/compatible_repository_versions/2",
>>>>        "CompatibleRepositoryVersions" : {
>>>>          "display_name" : "HDP-2.2.4.2",
>>>>          "id" : 2,
>>>>          "repository_version" : "2.2.4.2-2",
>>>>          "stack_name" : "HDP",
>>>>          "stack_version" : "2.2",
>>>>          "upgrade_types" : [
>>>>            "ROLLING",
>>>>            "NON_ROLLING"
>>>>          ]
>>>>        },
>>>>        "operating_systems" : [
>>>>          {
>>>>            "href" :
>>>>
>>>> "http://<host>:8080/api/v1/stacks/HDP/versions/2.2/compatible_repository_versions/2/operating_systems/redhat6",
>>>>            "OperatingSystems" : {
>>>>              "os_type" : "redhat6",
>>>>              "repository_version_id" : 2,
>>>>              "stack_name" : "HDP",
>>>>              "stack_version" : "2.2"
>>>>            }
>>>>          }
>>>>        ]
>>>>      },
>>>>      {
>>>>        "href" :
>>>> "http://<host>:8080/api/v1/stacks/HDP/versions/2.2/compatible_repository_versions/3",
>>>>        "CompatibleRepositoryVersions" : {
>>>>          "display_name" : "HDP-2.2.6.0",
>>>>          "id" : 3,
>>>>          "repository_version" : "2.2.6.0",
>>>>          "stack_name" : "HDP",
>>>>          "stack_version" : "2.2",
>>>>          "upgrade_types" : [
>>>>            "ROLLING",
>>>>            "NON_ROLLING"
>>>>          ]
>>>>        },
>>>>        "operating_systems" : [
>>>>          {
>>>>            "href" :
>>>>
>>>> "http://<host>:8080/api/v1/stacks/HDP/versions/2.2/compatible_repository_versions/3/operating_systems/redhat6",
>>>>            "OperatingSystems" : {
>>>>              "os_type" : "redhat6",
>>>>              "repository_version_id" : 3,
>>>>              "stack_name" : "HDP",
>>>>              "stack_version" : "2.2"
>>>>            }
>>>>          }
>>>>        ]
>>>>      },
>>>>      {
>>>>        "href" :
>>>> "http://<host>:8080/api/v1/stacks/HDP/versions/2.2/compatible_repository_versions/4",
>>>>        "CompatibleRepositoryVersions" : {
>>>>          "display_name" : "HDP-2.2.6.0-2800",
>>>>          "id" : 4,
>>>>          "repository_version" : "2.2.6.0-2800",
>>>>          "stack_name" : "HDP",
>>>>          "stack_version" : "2.2",
>>>>          "upgrade_types" : [
>>>>            "ROLLING",
>>>>            "NON_ROLLING"
>>>>          ]
>>>>        },
>>>>        "operating_systems" : [
>>>>          {
>>>>            "href" :
>>>>
>>>> "http://<host>:8080/api/v1/stacks/HDP/versions/2.2/compatible_repository_versions/4/operating_systems/redhat6",
>>>>            "OperatingSystems" : {
>>>>              "os_type" : "redhat6",
>>>>              "repository_version_id" : 4,
>>>>              "stack_name" : "HDP",
>>>>              "stack_version" : "2.2"
>>>>            }
>>>>          }
>>>>        ]
>>>>      }
>>>>    ]
>>>> }
>>>>
>>>> I changed the curl request to check for version/2.4 - output looks like
>>>> this:
>>>>
>>>> {
>>>>    "href" :
>>>> "http://<host>:8080/api/v1/stacks/HDP/versions/2.4/compatible_repository_versions?fields=*,repo_id,repo_name,stack_version",
>>>>    "items" : [
>>>>      {
>>>>        "href" :
>>>> "http://<host>:8080/api/v1/stacks/HDP/versions/2.4/compatible_repository_versions/205",
>>>>        "CompatibleRepositoryVersions" : {
>>>>          "display_name" : "HDP-2.4.0.0",
>>>>          "id" : 205,
>>>>          "repository_version" : "2.4.0.0",
>>>>          "stack_name" : "HDP",
>>>>          "stack_version" : "2.4",
>>>>          "upgrade_types" : [
>>>>            "ROLLING",
>>>>            "NON_ROLLING"
>>>>          ]
>>>>        },
>>>>        "operating_systems" : [
>>>>          {
>>>>            "href" :
>>>>
>>>> "http://<host>:8080/api/v1/stacks/HDP/versions/2.4/compatible_repository_versions/205/operating_systems/redhat6",
>>>>            "OperatingSystems" : {
>>>>              "os_type" : "redhat6",
>>>>              "repository_version_id" : 205,
>>>>              "stack_name" : "HDP",
>>>>              "stack_version" : "2.4"
>>>>            }
>>>>          }
>>>>        ]
>>>>      }
>>>>    ]
>>>> }
>>>>
>>>> I also tried (re-)adding multiple times and with different browsers -
>>>> nothing is working.
>>>>
>>>>
>>>> 2016-04-01 14:55 GMT+02:00 cs user <acldstkusr@gmail.com>:
>>>>> Hi again,
>>>>>
>>>>> Could you send us the output of this command? (from your link)
>>>>>
>>>>> curl -i -k -u <user>:<pass> -X GET
>>>>>
>>>>> http://<server>:8080/api/v1/stacks/HDP/versions/2.2/compatible_repository_versions?fields=*,repo_id,repo_name,stack_version
>>>>> To see what the server displays directly from the api.
>>>>>
>>>>> Thanks!
>>>>>
>>>>>
>>>>> On Fri, Apr 1, 2016 at 1:52 PM, cs user <acldstkusr@gmail.com>
wrote:
>>>>>> Hi There,
>>>>>>
>>>>>> It looks like either it hasn't registered correctly, so you can try
to
>>>>>> do
>>>>>> it again, or that the page is cached, so try a new browser or
>>>>>> ctrl+shift+r.
>>>>>>
>>>>>> Let us know how you fix it!
>>>>>>
>>>>>> Cheers
>>>>>>
>>>>>>
>>>>>>
>>>>>> On Thu, Mar 31, 2016 at 9:34 AM, <hd2@uni.de> wrote:
>>>>>>> Hi,
>>>>>>>
>>>>>>> I'm trying to upgrade our Cluster to HDP 2.4 using Ambari 2.2.1.1.
>>>>>>> First of all, I registered the new Version under "Stack and Versions"
>>>>>>> -> "Manage Versions" -> "+ Register Version" using Name:
HDP-2.4 and
>>>>>>> Version number "0.0" with the external Base URLs provided by
>>>>>>> Hortonworks.
>>>>>>> This step works without problems, I can click "Install on..."
on the
>>>>>>> Versions page next to the HDP-2.4.0.0. field.
>>>>>>>
>>>>>>> But after clicking "Install on..." -> "<clustername>"
I get refered to
>>>>>>> the Versions page, which only shows the currently installed Version
>>>>>>> (HDP-2.3.4.0) (and not the newly added 2.4.0.0).
>>>>>>> http://imgur.com/nFq5GMa
>>>>>>>
>>>>>>> The problem is also described here:
>>>>>>>
>>>>>>>
>>>>>>> https://community.hortonworks.com/questions/17201/registered-version-hdp-2340-is-not-listed.html#answer-25049
>>>>>>>
>>>>>>> Any recommendations on how to get HDP-2.4.0.0 to the Versions
page?
>>>>>>>
>>>>>>> Thanks!
>>>>>>



Mime
View raw message